const { app, BrowserWindow } = require('electron');
const path = require('path')

function createWindow() {
  const win = new BrowserWindow({
    width: 1200,
    height: 800,
    backgroundColor: "white",
    webPreferences: {
      preload: path.join(__dirname, './preload.js'),
      nodeIntegration: true,
      // worldSafeExecuteJavascript: true,
      contextIsolation: false,
    }
  })

  win.loadFile('index.html');

  // Open the DevTools.
  win.webContents.openDevTools();
};



app.whenReady().then(() => {
  createWindow()

  app.on('activate', () => {
    if (BrowserWindow.getAllWindows().length === 0) createWindow()
  })
})

app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') app.quit()
})